From 6b159030fe6adb522e83f6715114cdec2ae13ed4 Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 10/32] Issues: Fix bug in sorting


---

diff --git a/hubs/widgets/issues/__init__.py b/hubs/widgets/issues/__init__.py
index 4838f88..0a2fda4 100644
--- a/hubs/widgets/issues/__init__.py
+++ b/hubs/widgets/issues/__init__.py
@@ -51,6 +51,7 @@ class DataView(WidgetView):
 
         all_issues = bugzilla + pagure + github
         all_issues.sort(key=lambda x: arrow.get(x['updated_at']), reverse=True)
+        all_issues = all_issues[:min(15, len(all_issues))]
 
         data = {
             'issues': all_issues,
diff --git a/hubs/widgets/issues/functions.py b/hubs/widgets/issues/functions.py
index 7e1524a..d033c99 100644
--- a/hubs/widgets/issues/functions.py
+++ b/hubs/widgets/issues/functions.py
@@ -15,7 +15,6 @@ class GetBugzillaBugs(CachedFunction):
         mode = 'creator' if self.instance.config['mode'] == 'author' else 'assigned_to'
         response = requests.get(endpoint.format(mode, email)).json()
         issues = response['result']['bugs']
-        issues = issues[:min(5, len(issues))]
         urltmpl = 'https://bugzilla.redhat.com/show_bug.cgi?id={}'
         res = []
         for issue in issues:
@@ -50,7 +49,6 @@ class GetPagureIssues(CachedFunction):
         author = self.instance.config['mode'] == 'author'
         response = requests.get(endpoint.format(username, author)).json()
         issues = response['issues_created'] if author else response['issues_assigned']
-        issues = issues[:min(5, len(issues))]
         urltmpl = 'https://pagure.io/{}/issue/{}'
         res = []
         for issue in issues:
@@ -91,7 +89,6 @@ class GetGithubIssues(CachedFunction):
         mode = "author" if self.instance.config['mode'] == 'author' else "assignee"
         response = requests.get(endpoint.format(mode, username)).json()
         issues = response['items']
-        issues = issues[:min(5, len(issues))]
         res = []
         for issue in issues:
             res.append(dict(

